Skip to main content
GET
Get source-map publication status

Authorizations

Authorization
string
header
required

Build-time secret key of the surface, as issued in the Interfere dashboard

Path Parameters

releaseSlug
string
required
Pattern: ^rel_[0-9a-f]{16}$

Query Parameters

environment
string

Deploy environment of the build. Each environment of a release has its own source maps; omit it to use the source maps of the release.

Required string length: 1 - 64
Example:

"production"

Response

Source-map publication progress and exact manifest readiness

Source map publication status

releaseSlug
string
required
Pattern: ^rel_.*$
environment
string | null
required
sessionId
string<uuid> | null
required
state
enum<string>
required
Available options:
absent,
uploading,
accepted,
ready,
expiring,
expired
fileCount
integer
required
Required range: x >= 0
publishedFileCount
integer
required
Required range: x >= 0
batchDigest
string | null
required
Pattern: ^[a-f0-9]{64}$
manifestReady
boolean
required
diagnostics
object